/*~~~~~~~~~~~*/
/* style.css */
/*~~~~~~~~~~~*/
/* 2024-0130: Created by combining all css */

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/ 
/* Section General */
/* General declaration that applies to overall such as: */
/* html, body and links */
/* asterisk means apply these styles to all elements. */
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/ 
* {
  margin:0; 
  padding:0; 
  box-sizing:border-box; 
}
html, body { height:100%;}
html { min-width:650px;}
body {
  color: #f7f8e0;
  background-color: #a5a1a1;  
  background-image: url(images/bg-mat-home.gif);
/*
  font-family:Tahoma, Geneva, sans-serif;
  font-size:100%;
  line-height:1em; 
*/
}
/* put viewport here even already in meta data on html head */
@viewport {
  zoom:1.0;
  width:device-width;
}
/* ~~ Element/tag selectors ~~ */
/* Due to variations between browsers, it's best practices to zero padding and margin on lists. For consistency, you can either specify the amounts you want here, or on the list items (LI, DT, DD) they contain. Remember that what you do here will cascade to the .nav list unless you write a more specific selector. */

ul, ol, dl { 
  padding: 0;
  margin: 0;
}
/* removing the top margin gets around an issue where margins can escape from their containing div. The remaining bottom margin will hold it away from any elements that follow. */
   /* padding-left: 15px; adding the padding to the sides of the elements within the divs, instead of the divs themselves, gets rid of any box model math. A nested div with side padding can also be used as an alternate method. */

h1, h2, h3, h4, h5, h6, p {
  margin-top: 0;
  padding-right: 15px;
  padding-left: 15px; 
  font-family: Verdana, Arial, Helvetica, sans-serif;
  color: #FFF;
}
/* this selector removes the default blue border displayed in some browsers around an image when it is surrounded by a link */

a img { 
border: none;
}
/* ~~ Styling for your site's links must remain in this order - including the group of selectors that create the hover effect. ~~ */
   /* color: #06F; #222BBB blue-almost like def color but not shown with black bg ; #33FFFF turquiose and this turquiose #00CCFF is nice too  */
   /* text-decoration: underline; --  Unless you style your links to look extremely unique, it's best to provide underlines for quick visual identification */

a:link {
  color: #03C; /* #6F6; */ 
  font-style: normal;
  text-decoration: underline; 
}
/* color: #6CF; -- 00CCFF is turquiose FFCC00; yellow and this leon green is nice too #c0ff00 */
a:visited {
  color: #03C; /* yellow f0f959; */ 
  font-style: normal;
  text-decoration: none;
}
/* 47f924 #6F0 this group of selectors will give a keyboard navigator the same hover experience as the person using a mouse. */
a:hover, a:active, a:focus {
  text-decoration: none;
  font-style: normal;
  color: #1c2791;
}

/* this class can be placed on a <br /> or empty div as the final element following the last floated div (within the #container) if the #footer is removed or taken out of the #container */
.clearfloat {
  clear:both;
  height:0;
  font-size: 1px;
  line-height: 0px;
}
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/* Section Whole Page */
/* Container for the entire page which is being used by every page. */
/* Therefore it should be first declaration  */
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/* #fbb046 is the orange color.  */
.containerWholePage {
  width:100%;
}
/*~~~~~~~~~~~~~~~*/
/* Section Home  */
/*~~~~~~~~~~~~~~~*/
.containerWholeHome {
  margin: auto;
  width: 750px;
  overflow: auto;
  // border: solid 1px yellow;
}
.containerHome {
  margin: auto;
  width: 750px;
  overflow: auto;
  // border: solid 1px orange;
}
/* slide */
.containerSlide {
  margin: auto;
  width: 750px;
  overflow: hidden;
  vertical-align: top;
  // border: 1px solid green;
}
.cSlide1 {
  margin: auto;
  width:calc(100% / 5);
  float:left;
  // border: 1px solid yellow;
}
.paraCap {
  margin: auto;
  text-align:center;
  font-family: "Helvetica", "Trebuchet MS", "sans-serif";
  font-size:0.8em;
  font-style:oblique;
  color: #000;
  padding-top:8px;
}
.capShow {
  opacity:1;
  transition:opacity 500ms;
}
.capHide {
  opacity:0;
}
.capBlankNone {
  display:none;
}
.capBlankDisplay {
  display:block;
}
/* image */
.imgShow {
  margin:auto;
  display:block;
  opacity:1;
  transition:opacity 500ms;
}
.imgHide {
  margin:auto;
  display:block;
  opacity:0;
}
.imgBlankNone {
  display:none;
}
.imgBlankDisplay {
  display:block;
}
/******************************/
/* For email */

a[href^="mailto"] { 
  color: #00F;
}
/******************************/

/*~~~~~~~~~~~~~~~*/
/* Section About */
/*~~~~~~~~~~~~~~~*/
.containerWholeAbout {
  margin: auto;
  width: 750px;
  overflow: auto;
  vertical-align: top;
  // border: solid 1px orange;
}
.containerAbout {
  margin: auto;
  width: 650px;
  overflow: auto;
  padding-top:20px;
  // border: solid 1px orange;
}
.paraAbout {
  margin: auto;
  text-align:left;
  font-family: "Helvetica", "Trebuchet MS", "sans-serif";
  font-size:0.9em;
  color: #000;
}
/*~~~~~~~~~~~~~~~*/
/* Section Consult */
/*~~~~~~~~~~~~~~~*/
.containerWholeConsult {
  margin: auto;
  width: 750px; 
  overflow: auto;
  // border: solid 1px orange;
}
.containerConsult {
  margin: auto;
  width: 650px;
  overflow: auto;
  padding-top:50px;
  // border: solid 1px orange;
}
.paraConsult {
  margin: auto;
  text-align:center;
  font-family: "Helvetica", "Trebuchet MS", "sans-serif";
  font-size:0.9em;
  color: #000;
}
/*~~~~~~~~~~~~~~~*/
/* Section Contact */
/*~~~~~~~~~~~~~~~*/
.containerWholeContact {
  margin: auto;
  width: 750px; 
  overflow: auto;
  // border: solid 1px orange;
}
.containerContact {
  margin: auto;
  width: 650px;
  overflow: auto;
  padding-top:50px;
  // border: solid 1px orange;
}
.paraContact {
  margin: auto;
  text-align:center;
  font-family: "Helvetica", "Trebuchet MS", "sans-serif";
  font-size:0.9em;
  color: #000;
}
/*~~~~~~~~~~~~~~~*/
/* Section Copyright */
/*~~~~~~~~~~~~~~~*/
.containerCopyright {
  margin:auto;
  width:100%;
  margin-top:50px; 
  // border: solid 1px green;
}
.paraCopyright {
  text-align:center;
  font-family: "Trebuchet MS", "sans-serif";
  font-style: italic;
  font-size:0.6em;
  color:#808080;
}
/*~~~~~~~~~~~~~~~*/
/* Section Menu */
/*~~~~~~~~~~~~~~~*/
.containerWholeMenu {
  margin: auto;
  width: 750px;
  border: solid 1px lime;
}
.containerMenu {
  margin: auto;
  width: 60%;
  float: right;
  padding: 1px 1px 20px 1px;
  border: solid 1px magenta;
}
.divTableMenu {
  margin:auto;
  display: table;
}
.divTableBody {
  display: table-row-group;
}
.divTableRow {
  display: table-row;
}
.divTableCellMenu {
  display: table-cell;
  // border: solid 1px green;
}
.paraMenu {
  margin:auto;
  font-size:0.9em;
  font-family: "Lucida Sans Unicode", "Arial", "Trebuchet MS", "sans-serif";
  text-align:center;
  color: #000;
  display:block;
  // border: solid 1px yellow;
}
/*
.menugrey {
  color: #d3d3d3;
}
*/
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
/* Section Organization Name  */
/* This is used by every page. */
/* box-sizing:border-box; is to keep the width no matter amt of padding */
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
.containerWholeOrg {
  margin: auto;
  width: 750px;
  // position: -webkit-sticky;
  // position: sticky;
  // top: 0;
  // border: solid 1px black;
  box-sizing:border-box; 
}
.containerOrg {
  margin: auto;
  width: 100%; 
  padding-top:12px;
  // border: solid 1px pink;
}
.paraOrg  {
  font-family: "Palatino", "Arno Pro", "Trebuchet MS", "sans-serif";
  font-size: 2em;
  font-weight: bold;
  font-style: italic;
  text-align: center;
  text-shadow: 4px 3px 5px #7b7b7b; // #929191; #999;
  letter-spacing: 0.1em;
  color: #000;
}
.containerLogo {
  margin: auto;
  width:30px; 
  margin-top:-44px;
  margin-left:560px;
  // border: solid 3px #999;
}
.logo {
  box-shadow: 4px 3px 5px #7b7b7b; // #929191; #999;
}
/*~~~~~~~~~~~~~~~*/
/* Section Quote */
/*~~~~~~~~~~~~~~~*/
.containerWholeQuote {
  margin: auto;
  width: 750px; 
  overflow: hidden;
  border: solid 1px orange;
}
.containerQuote {
  margin:auto;
  width:50%;
  float: left;
  border: solid 1px green;
  padding: 20px 5px 20px 5px;
}
.paraQuote {
  display:inline;
  text-align:left;
  font-family: "Papyrus", "Arial", "Trebuchet MS", "sans-serif";
  font-style: italic;
  font-size:0.9em;
  color:#000;
}
/*~~~~~~~~~~~~~~~*/
/* Section Sample */
/*~~~~~~~~~~~~~~~*/
/* This is defined in sample directory. */
/*~~~~~~~~~~~~~~~~~~*/
/* End of style.css */
/*~~~~~~~~~~~~~~~~~~*/
